﻿Feature: Calcul du panier

Background: 
Given Le catalogue du magasin est
| Nom               | Prix    | Stock |
| Chocolat Blanc    | 2.5     | 10    |
| Chocolat Noir     | 2       | 8     |
| Chocolat Noisette | 3.25856 | 120   |

Scenario Outline: Peut calculer le total du panier avec un seul produit
	Given Morgan Leroi, client du site
	When Le client ajoute les articles au panier
	| Produit   | Quantite   |
	| <Produit> | <Quantite> |
	And Le client valide le panier
	Then le montant total du panier est <Total>€
	Examples: 
	| Produit        | Quantite | Total |
	| Chocolat Blanc | 3        | 7.5   |
	| Chocolat Noir  | 5        | 10    |


Scenario: Peut calculer le total du panier avec plusieurs produits
	Given Morgan Leroi, client du site
	When Le client ajoute les articles au panier
	| Produit        | Quantite |
	| Chocolat Noir  | 5        |
	| Chocolat Blanc | 3        |
	And Le client valide le panier
	Then le montant total du panier est 17.5€

Scenario: Peut calculer le total du panier avec l'arrondi
	Given Morgan Leroi, client du site
	When Le client ajoute les articles au panier
	| Produit           | Quantite |
	| Chocolat Noisette | 5        |
	And Le client valide le panier
	Then le montant total du panier est 16.29€

Scenario: Ne peut pas calculer un panier vide
	Given Morgan Leroi, client du site
	When Le client ajoute les articles au panier
	| Produit | Quantite |
	|         |          |
	And Le client valide le panier
	Then Un message d'erreur apparait : "Votre panier est vide"