﻿Feature: Calcul du stock

Background: 
Given Le catalogue du magasin est
| Nom               | Prix    | Stock |
| Chocolat Blanc    | 2.5     | 10    |
| Chocolat Noir     | 2       | 8     |
| Chocolat Noisette | 3.25856 | 120   |

Scenario: Peut calculer le stock aprés un achat
	Given Morgan Leroi, client du site
	When Le client ajoute les articles au panier
	| Produit           | Quantite |
	| Chocolat Noir     | 5        |
	| Chocolat Noisette | 8        |
	| Chocolat Blanc    | 10       |
	And Le client valide le panier
	Then le catalogue du magasin est
	| Nom               | Prix    | Stock |
	| Chocolat Blanc    | 2.5     | 0     |
	| Chocolat Noir     | 2       | 3     |
	| Chocolat Noisette | 3.25856 | 112   |

Scenario: Ne peut pas valider un panier si un produit n'est plus en stock
	Given Morgan Leroi, client du site
	When Le client ajoute les articles au panier
	| Produit           | Quantite |
	| Chocolat Noir     | 10       |
	| Chocolat Noisette | 8        |
	| Chocolat Blanc    | 10       |
	And Le client valide le panier
	Then Un message d'erreur apparait : "Vous ne pouvez commander que 8 produits Chocolat Noir"