﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace Domaine
{
    public static class ProduitsExtension
    {
        public static void ValiderDisponibiliteDesProduits(this IEnumerable<ProduitDuPanier> items)
        {
            var produitEnRupture = items.ToList().FindAll(x => x.Produit.Stock - x.Quantite < 0);
            if(produitEnRupture.Count() > 0)
            {
                throw new Exception(string.Format("Vous ne pouvez commander que {0} produits {1}", produitEnRupture.First().Produit.Stock, produitEnRupture.First().Produit.Nom));
            }
        }
    }
}